| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Typedefs
zconf.in.h File Reference

Go to the source code of this file.

## Macros
#define | const /* note: need a more gentle solution here */
#define | MAX_MEM_LEVEL 9
#define | MAX_WBITS 15 /* 32K LZ77 window */
#define | OF(args) ()
#define | ZEXTERN extern
#define | ZEXPORT
#define | ZEXPORTVA
#define | FAR
#define | SEEK_SET 0 /* Seek from beginning of file. */
#define | SEEK_CUR 1 /* Seek from current position. */
#define | SEEK_END 2 /* Set file pointer to EOF plus "offset" */
#define | z_off_t long

## Typedefs
typedef unsigned char | Byte
typedef unsigned int | uInt
typedef unsigned long | uLong
typedef Byte FAR | Bytef
typedef char FAR | charf
typedef int FAR | intf
typedef uInt FAR | uIntf
typedef uLong FAR | uLongf
typedef Byte const * | voidpc
typedef Byte FAR * | voidpf
typedef Byte * | voidp

## Macro Definition Documentation

#define const /* note: need a more gentle solution here */

Definition at line 124 of file zconf.in.h.

#define FAR

Definition at line 257 of file zconf.in.h.

#define MAX_MEM_LEVEL 9

Definition at line 138 of file zconf.in.h.

#define MAX_WBITS 15 /* 32K LZ77 window */

Definition at line 148 of file zconf.in.h.

#define OF | ( |  | args | ) | ()

Definition at line 170 of file zconf.in.h.

#define SEEK_CUR 1 /* Seek from current position. */

Definition at line 297 of file zconf.in.h.

#define SEEK_END 2 /* Set file pointer to EOF plus "offset" */

Definition at line 298 of file zconf.in.h.

#define SEEK_SET 0 /* Seek from beginning of file. */

Definition at line 296 of file zconf.in.h.

#define z_off_t long

Definition at line 301 of file zconf.in.h.

#define ZEXPORT

Definition at line 250 of file zconf.in.h.

#define ZEXPORTVA

Definition at line 253 of file zconf.in.h.

#define ZEXTERN extern

Definition at line 247 of file zconf.in.h.

## Typedef Documentation

typedef unsigned char Byte

Definition at line 261 of file zconf.in.h.

typedef Byte FAR Bytef

Definition at line 270 of file zconf.in.h.

typedef char FAR charf

Definition at line 272 of file zconf.in.h.

typedef int FAR intf

Definition at line 273 of file zconf.in.h.

typedef unsigned int uInt

Definition at line 263 of file zconf.in.h.

typedef uInt FAR uIntf

Definition at line 274 of file zconf.in.h.

typedef unsigned long uLong

Definition at line 264 of file zconf.in.h.

typedef uLong FAR uLongf

Definition at line 275 of file zconf.in.h.

typedef Byte* voidp

Definition at line 284 of file zconf.in.h.

typedef Byte const* voidpc

Definition at line 282 of file zconf.in.h.

typedef Byte FAR* voidpf

Definition at line 283 of file zconf.in.h.